# $Revision: 1.41 $, $Date: 2008/07/27 22:50:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	BER
Summary:	Convert::BER Perl module - ASN.1 Basic Encoding Rules
Summary(pl.UTF-8):	Moduł Perla Convert::BER - podstawowe reguły kodowania ASN.1
Name:		perl-Convert-BER
Version:	1.3101
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	00fd5e5a98d4194da0e980186cba6292
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Math-BigInteger
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::BER provides an object oriented interface to encoding and
decoding data into packets using the ASN.1 Basic Encoding Rules (BER)

%description -l pl.UTF-8
Convert::BER udostępnia obiektowy interfejs kodowania i dekodowania
danych przy wykorzystaniu ASN.1 BER (podstawowych reguł kodowania -
Basic Encoding Rules).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Convert/BER.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-BER.spec,v $
Revision 1.41  2008/07/27 22:50:51  arekm
- release 4

Revision 1.40  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.38  2004/11/03 22:30:11  paladine
- formatting

Revision 1.37  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.36  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.35  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.33  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.32  2004/04/18 22:09:00  ankry
- summary, description and license fixes

Revision 1.31  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:28:24  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/08/24 17:06:15  radek
- version 1.3101, added conditional tests, STBR

Revision 1.22  2002/07/20 00:36:12  qboosh
- new %%doc

Revision 1.21  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 06:37:41  kloczek
- typo.

Revision 1.18  2002/02/25 06:20:00  kloczek
- cosmetics.

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:42  depesz
adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:06:38  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/30 01:27:41  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/11/23 02:25:46  kloczek
- updated to 1.31 and added using new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 09:24:23  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
